Skip to content
View as Markdown

POST Duplicate SMS Campaign​

POST
/sms/campaigns/{id}/duplicate

Create a duplicate of an existing SMS campaign. The new campaign is created in draft status with the title prefixed by [Duplicate]. Labels from the original campaign are copied to the duplicate. PRO (requires FluentCampaign Pro SMS module).

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

SMS campaign ID to duplicate.

Type
integer
Required

Responses​

Campaign duplicated successfully.

application/json
JSON
{
"campaign": {
"id": 0,
"title": "string",
"message_content": "string",
"status": "string",
"type": "string",
"recipients_count": 0,
"scheduled_at": "string",
"settings": {
},
"created_at": "string",
"updated_at": "string"
},
"message": "string"
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI